Bug 156677 - OpenOffice.org poorly named menu entires
OpenOffice.org poorly named menu entires
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
: 188492 436613 (view as bug list)
Depends On: 156066
  Show dependency treegraph
Reported: 2005-05-03 03:33 EDT by Caolan McNamara
Modified: 2016-02-15 05:46 EST (History)
7 users (show)

See Also:
Fixed In Version: 1.9.121-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-07-28 05:06:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Caolan McNamara 2005-05-03 03:33:00 EDT
+++ This bug was initially created as a clone of Bug #156066 +++

Current menu entries are:

  Office/OpenOffice.org 1.9 Base
  Office/OpenOffice.org 1.9 Calc
  Office/OpenOffice.org 1.9 Draw
  Office/OpenOffice.org 1.9 Impress
  Office/OpenOffice.org 1.9 Math
  Office/OpenOffice.org 1.9 Writer

We should at least get rid of the version number. Bryan and Seth will have other
suggestions, no doubt
Comment 1 Caolan McNamara 2005-05-03 03:42:24 EDT

Base -> "Database Development"
Calc -> "Spreadsheet"
Draw -> ?
Impress -> "Presentation"
Math -> ?
Writer -> "Word Processor"

What do you want me to name, the Math program and the Draw program,
"Math"/"Draw" "Equation Editor"/"Drawing". Why is is suggested not to put the
database thing in the menus ? The OOo users have been screaming for years to get
a msaccess like application, so there seems to be a demand for it. (and when it
works its a great showcase for gcj as java replacement)
Comment 2 Seth Nickell 2005-05-09 17:02:36 EDT
I don't mind having database development in the menus, it just shouldn't be in
the default install. It should be one of the optional programs in the office
category in the installer. DB development programs are important, no doubt, but
they're a much smaller market than word processor, presentation, and even
spreadsheet. e.g. MS Office standard, small business, and student do not include
Access. Only "MS Office Professional" does. We should have it available, but not
installed by default.

Math shouldn't really be in the menus, its more a feature of the word processor
than anything else.

We waffled a bit more on Draw, but don't really think it should be in the menus
either. Anyone doing real graphics (say, a graphic artist) isn't going to use
draw, and anyone who's not a graphic artist is probably going to be using Draw
in the context of another document (e.g. a word processor document). Thus I
don't think it needs to be a toplevel menu item.
Comment 3 Seth Nickell 2005-07-25 13:03:11 EDT
Any progress on this? It'd be great to get it into the next Fedora release.
Comment 4 Seth Nickell 2005-07-25 13:06:04 EDT
To summarize, by default we should have in the menus:

Word Processor

Additionally as an optional package of the OO.o anaconda install set (can't
remember what these are called atm :-), we should have: 

Database Development

Draw and Math shouldn't have toplevel menu items and will just be accessed from
within the word processor (or spreadsheet or whatever).
Comment 5 Marius Andreiana 2005-07-27 02:47:04 EDT
I've used Draw as an independent application in the past, why shouldn't it have
a shortcut in the menu?
Comment 6 Caolan McNamara 2006-04-11 04:08:20 EDT
*** Bug 188492 has been marked as a duplicate of this bug. ***
Comment 7 Simon Goodall 2006-04-11 04:20:29 EDT
I'm trying to use Draw independently too. It took me ages to find it as I
assumed that it wasn't installed but yumex didn't show it as an available option.

This was especially confusing as I was updating another machine and I'm sure it
had these extra oo menu entries. It seems strange that you hide menu entries for
installed programs. I would have thought that if the user didn't want the
application they could just uninstall it.

I am using draw to produce a graphic for a document, but not an oo document.

Comment 8 Simon Goodall 2006-04-11 07:35:06 EDT
The gdmflexiserver provides a "New Login" menu item that is hidden by default,
but can be enabled by the "Edit Menus" option (at least for gnome). Can you not
use a similar method for these apps instead of having the NoDisplay item in the
.desktop file? That way when a new oo is installed my menu items don't disappear
Comment 9 Caolan McNamara 2007-09-03 03:21:07 EDT
*** Bug 274631 has been marked as a duplicate of this bug. ***
Comment 10 Caolan McNamara 2008-03-09 07:48:40 EDT
*** Bug 436613 has been marked as a duplicate of this bug. ***
Comment 11 fer 2011-09-10 17:19:59 EDT
I use math in a custom way.
As a math teacher, i have a directory with a lot of formulas and math problems stored as .odf files. Every day i put some other problems in this directory.
I have a program that searches into this directory and ask him to resolve the problem proposed. Some formulas are showed too.

What i am saying is, libreoffice-math is a standalone tool per se. It may be used as a object into the libreoffice-writer, but it is a standalone app. This is true to libreoffice-draw too.

One question. Why there exist a .odf file format if you will only save formulas into a .odt file ?

Please, it is much more easy that people doesn't uses an enabled tool, just ignoring it.

Take an example.

I have decided to use .odf files in my app, just because openoffice-math was in my menu and i saw that it saves files in .odf format. Then, reading ODF and .odf, i came to be happy using that approach. IF math wasn't into menu, maybe my decision would be other.

So, hiden things are not things at all.
Comment 12 fer 2011-09-10 17:23:01 EDT
Just another question :

Have someone reported a "bug" that libreoffice-math IS in menu ?
Comment 13 Bill Sanford 2016-02-12 08:25:46 EST
If someone can launch it from the LibreOffice "Home page" as "Math Formula" or if you can launch it in a terminal window as "oomath" what is the point of taking it out of the menu?

Note You need to log in before you can comment on or make changes to this bug.